Reports that a license session is actively being used. This is important for licenses with session expiration based on inactivity.
POST
/api/v1/provision/activations/{sessionId}/check-in
const url = 'https://example.com/api/v1/provision/activations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/check-in';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/activations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/check-inPeriodic calls keep the session active and update usage metrics.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sessionId
required
string format: uuid
The unique identifier of the license session.
Header Parameters
Section titled “Header Parameters ” X-Correlation-Id
string
Responses
Section titled “ Responses ”Check-in recorded successfully.
Media type application/json
The caller is not authenticated.
Media type application/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}The caller does not own this license session.
Media type application/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Session not found.
Media type application/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Too many requests – rate limit exceeded.
Media type application/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}